<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	template="/WEB-INF/templates/menu_template.xhtml">

	<ui:define name="tituloPagina">#{msgPrecios.bcPrecioCrear}</ui:define>

	<ui:define name="cuerpoPagina">
	#{beanPrecio.initObject()}
		<h:form id="form">
			<p:breadCrumb>
				<p:menuitem value="#{msgPrecios.bcInicio}"
					url="${request.contextPath}/" />
				<p:menuitem value="#{msgPrecios.bcPrecio}" url="#" />
				<p:menuitem value="#{msgPrecios.bcPrecioCrear}"
					url="${request.contextPath}/precios/crear.faces" />
			</p:breadCrumb>

		</h:form>

		<h:outputText escape="false" value="." />

		<h:form id="formMessage">
			<p:growl id="messages" showDetail="true" showSummary="true"
				for="msgGrowl" escape="false" />
		</h:form>

		<h:form id="formPrecio" style="justify-content: center;">
			<p:panelGrid id="panel" style="width: 80%;">
				<f:facet name="header">
					<p:row>
						<p:column colspan="2">
							<p:outputLabel>#{msgPrecios.tituloCrear}</p:outputLabel>
						</p:column>
					</p:row>
				</f:facet>



				<p:row>
					<p:column style="width: 20%;">
						<h:outputLabel for="producto" value="#{msgPrecios.producto}" />
					</p:column>

					<p:column style="width: 80%;'">
						<p:selectOneMenu id="producto"
							value="#{beanPrecio.idComboProducto}"
							style="width: 50%; line-height: 20px;" required="true"
							requiredMessage="#{msgPrecios.productoRequerido}">

							<f:selectItems value="#{beanPrecio.comboProducto}" />
							<f:ajax listener="#{beanPrecio.getComboListaPrecios}"
								render="listaPrecio" />

						</p:selectOneMenu>
						<p:message for="producto" style="width: 40%;" />
					</p:column>
				</p:row>

				<p:row>
					<p:column style="width: 20%;">
						<h:outputLabel for="listaPrecio" value="#{msgPrecios.listaPrecio}" />
					</p:column>

					<p:column style="width: 80%;'">
						<p:selectOneMenu id="listaPrecio"
							value="#{beanPrecio.idComboListaPrecio}"
							style="width: 50%; line-height: 20px;" required="true"
							requiredMessage="#{msgPrecios.listaPrecioRequerido}">

							<f:selectItems value="#{beanPrecio.listaPreciosCargada}" />

						</p:selectOneMenu>
						<p:message for="listaPrecio" style="width: 40%;" />
					</p:column>
				</p:row>

				<p:row>
					<p:column style="width: 20%;">
						<h:outputLabel for="valor" value="#{msgPrecios.valor}" />
					</p:column>

					<p:column style="width: 80%;'">
						<p:inputNumber id="valor" value="#{beanPrecio.objPrecio.valor}"
							required="true" style="width: 50%; line-height: 20px;"
							requiredMessage="#{msgPrecios.valorRequerido}" />
						<p:message for="valor" style="width: 40%;" />
					</p:column>
				</p:row>

				<f:facet name="footer">

					<p:row>
						<p:column style="width: 20%;">
						</p:column>

						<p:column style="width: 80%;display: flex;">
							<p:commandButton value="#{msgPrecios.btnCrear}" ajax="true"
								style="justify-content:center;"
								update="panel formMessage:messages"
								action="#{beanPrecio.btnCrearPrecio()}" />
						</p:column>
					</p:row>

				</f:facet>

			</p:panelGrid>

		</h:form>
	</ui:define>

</ui:composition>